scoreboard players add @a[team=menu] Menu 0
scoreboard players add @a[team=menu] M_CD 0
scoreboard players add @a[team=menu] M_X 0
scoreboard players add @a[team=menu] M_Y 0
scoreboard players reset @a[team=!menu] Menu
scoreboard players reset @a[team=!menu] M_CD
scoreboard players reset @a[team=!menu] M_X
scoreboard players reset @a[team=!menu] M_Y
tag @a[tag=!menu] remove menu_summoned



# Menu Loading
scoreboard players add @a[team=loading_menu] M_Loading 0
scoreboard players reset @a[team=!loading_menu] M_Loading



effect give @a[team=loading_menu] invisibility 1 0 true

title @a[team=loading_menu] times 0 1000 0

execute as @a[team=loading_menu] at @s run teleport @s 993 -56 981 -50 3.4
execute as @a[tag=menu,tag=!menu_summoned] at @s run function hh:main_menu/menu_summon

execute as @a[team=loading_menu,scores={M_Loading=0}] at @s run title @s title ["",{"text":"\uE001","font":"custom"},{"text":"\uE009","font":"custom"},{"text":"\uE001","font":"custom"}]
execute as @a[team=loading_menu,scores={M_Loading=2}] at @s run title @s title ["",{"text":"\uE001","font":"custom"},{"text":"\uE010","font":"custom"},{"text":"\uE001","font":"custom"}]
execute as @a[team=loading_menu,scores={M_Loading=4}] at @s run title @s title ["",{"text":"\uE001","font":"custom"},{"text":"\uE011","font":"custom"},{"text":"\uE001","font":"custom"}]
execute as @a[team=loading_menu,scores={M_Loading=6}] at @s run title @s title ["",{"text":"\uE001","font":"custom"},{"text":"\uE012","font":"custom"},{"text":"\uE001","font":"custom"}]
execute as @a[team=loading_menu,scores={M_Loading=8}] at @s run title @s title ["",{"text":"\uE001","font":"custom"},{"text":"\uE013","font":"custom"},{"text":"\uE001","font":"custom"}]
execute as @a[team=loading_menu,scores={M_Loading=10}] at @s run title @s title ["",{"text":"\uE001","font":"custom"},{"text":"\uE014","font":"custom"},{"text":"\uE001","font":"custom"}]
execute as @a[team=loading_menu,scores={M_Loading=12}] at @s run title @s title ["",{"text":"\uE001","font":"custom"},{"text":"\uE015","font":"custom"},{"text":"\uE001","font":"custom"}]
execute as @a[team=loading_menu,scores={M_Loading=14}] at @s run title @s title ["",{"text":"\uE001","font":"custom"},{"text":"\uE016","font":"custom"},{"text":"\uE001","font":"custom"}]
execute as @a[team=loading_menu,scores={M_Loading=16}] at @s run title @s title ["",{"text":"\uE001","font":"custom"},{"text":"\uE017","font":"custom"},{"text":"\uE001","font":"custom"}]
execute as @a[team=loading_menu,scores={M_Loading=18}] at @s run title @s title ["",{"text":"\uE001","font":"custom"},{"text":"\uE018","font":"custom"},{"text":"\uE001","font":"custom"}]
execute as @a[team=loading_menu,scores={M_Loading=20..}] at @s run team join menu @s

execute if loaded 1000 0 1000 run scoreboard players set @a[team=loading_menu,scores={M_Loading=0}] M_Loading 1
scoreboard players add @a[team=loading_menu,scores={M_Loading=1..}] M_Loading 1
# End



# Menu Effects
effect give @a[team=menu] invisibility 1 0 true
effect give @a[team=menu] minecraft:levitation 1 254 true
# End



# Menu GUI
execute as @a[team=menu] at @s run function hh:main_menu/menu_gui

execute as @e[tag=M_Shulker] at @s unless entity @a[tag=menu] run tag @s add menu_kill
#execute as @e[tag=M_Up] at @s unless entity @a[tag=menu] run tag @s add menu_kill
#execute as @e[tag=M_Down] at @s unless entity @a[tag=menu] run tag @s add menu_kill
#execute as @e[tag=M_Jump] at @s unless entity @a[tag=menu] run tag @s add menu_kill

execute as @e[tag=menu_kill] at @s run teleport @s ~ ~50 ~
execute as @e[tag=menu_kill] at @s run kill @s
# End



# Menu
execute as @a[team=menu] at @s run teleport @s ~ ~ ~ -50 3.4

execute if entity @a[team=menu] run scoreboard players set .HH/Game/Sound_ID HH 1

execute as @a[team=menu] at @s store result score @s M_X run data get entity @s Pos[0] 10000
execute as @a[team=menu] at @s store result score @s M_Y run data get entity @s Pos[1] 10000

execute as @a[team=menu,scores={M_X=9935009..,Menu=1..,M_CD=0}] at @s run tag @s add menu_pressed_up
execute as @a[team=menu,scores={M_X=..9934990,Menu=..1,M_CD=0}] at @s run tag @s add menu_pressed_down
execute as @a[team=menu,scores={M_X=9935009..}] at @s align xyz run teleport @s ~0.5 ~ ~0.5
execute as @a[team=menu,scores={M_X=..9934990}] at @s align xyz run teleport @s ~0.5 ~ ~0.5
execute as @a[team=menu,scores={M_Y=-559999..,M_CD=0}] at @s run tag @s add menu_pressed_jump

#execute as @a[team=menu,scores={Menu=1..,M_CD=0}] at @s if entity @e[tag=M_Up,distance=..1] run tag @s add menu_pressed_up
#execute as @a[team=menu,scores={Menu=..1,M_CD=0}] at @s if entity @e[tag=M_Down,distance=..1] run tag @s add menu_pressed_down
#execute as @a[team=menu] at @s if entity @e[tag=M_Up,distance=..1] align xyz run teleport @s ~0.5 ~ ~0.5
#execute as @a[team=menu] at @s if entity @e[tag=M_Down,distance=..1] align xyz run teleport @s ~0.5 ~ ~0.5
#execute as @a[team=menu,scores={M_CD=0}] at @s if entity @e[tag=M_Jump,distance=..1] run tag @s add menu_pressed_jump

execute as @a[team=menu,tag=menu_pressed_up] at @s run playsound hh/background/menu_select master @s ~ ~ ~ 0.5 1.5
execute as @a[team=menu,tag=menu_pressed_up] at @s run scoreboard players remove @s Menu 1
execute as @a[team=menu,tag=menu_pressed_up] at @s run scoreboard players set @s M_CD 1
execute as @e[tag=menu_pressed_up] at @s run tag @s remove menu_pressed_up

execute as @a[team=menu,tag=menu_pressed_down] at @s run playsound hh/background/menu_select master @s ~ ~ ~ 0.5 1.5
execute as @a[team=menu,tag=menu_pressed_down] at @s run scoreboard players add @s Menu 1
execute as @a[team=menu,tag=menu_pressed_down] at @s run scoreboard players set @s M_CD 1
execute as @e[tag=menu_pressed_down] at @s run tag @s remove menu_pressed_down

execute as @a[team=menu,tag=menu_pressed_jump] at @s run playsound hh/background/menu_select master @s ~ ~ ~ 0.5 1.3
execute as @a[team=menu,tag=menu_pressed_jump,scores={Menu=0}] at @s run function hh:main_menu/menu_play
execute as @a[team=menu,tag=menu_pressed_jump,scores={Menu=1}] at @s run function hh:main_menu/menu_credits
execute as @a[team=menu,tag=menu_pressed_jump,scores={Menu=2}] at @s run function hh:main_menu/menu_exit
#execute as @a[team=menu,tag=menu_pressed_jump] at @s run scoreboard players set @s M_CD 1
execute as @e[tag=menu_pressed_jump] at @s run tag @s remove menu_pressed_jump

scoreboard players add @a[team=menu,scores={M_CD=1..}] M_CD 1
scoreboard players set @a[team=menu,scores={M_CD=7..}] M_CD 0
# End